summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--docker/scripts/lib_vpp.sh21
m---------global-jjb0
-rw-r--r--jenkins-config/clouds/nomad/FDIONOMAD/builder-ubuntu1804-sandbox-aarch64.yaml2
-rw-r--r--jenkins-config/clouds/nomad/FDIONOMAD/cloud.yaml2
-rw-r--r--jenkins-config/clouds/nomad/FDIONOMAD/defaults.yaml6
-rw-r--r--jenkins-config/clouds/nomad/FDIONOMAD/ubuntu1804-us.yaml13
-rw-r--r--jjb/csit/csit-tox.yaml36
-rw-r--r--jjb/csit/csit-vpp-device.yaml4
-rw-r--r--jjb/global-macros.yaml15
-rw-r--r--jjb/scripts/packagecloud_push.sh23
-rw-r--r--jjb/scripts/vpp/build.sh37
-rw-r--r--jjb/scripts/vpp/docs.sh32
-rw-r--r--jjb/scripts/vpp/make-test-docs.sh28
-rw-r--r--jjb/scripts/vpp/sphinx-docs.sh30
-rw-r--r--jjb/vpp/vpp.yaml6
15 files changed, 182 insertions, 73 deletions
diff --git a/docker/scripts/lib_vpp.sh b/docker/scripts/lib_vpp.sh
index 74655ff4e..28420611c 100644
--- a/docker/scripts/lib_vpp.sh
+++ b/docker/scripts/lib_vpp.sh
@@ -1,7 +1,7 @@
# lib_vpp.sh - Docker build script VPP library.
# For import only.
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -80,11 +80,18 @@ docker_build_setup_vpp() {
# Branches must be listed in chronological order -- oldest stable branch
# first and master last.
+#
+# Note: CI Jobs for each architecture are maintained in
+# .../ci-management/jjb/vpp/vpp.yaml
+# All OS's and branches are included in the 'os' and 'stream'
+# definitions respectively, then the exclude list maintained
+# to create an enumerated set of jobs jobs that match the
+# definitions here.
declare -A VPP_BRANCHES
-VPP_BRANCHES["centos-7"]="stable/2001 stable/2005 stable/2009"
-VPP_BRANCHES["centos-8"]="stable/2009 master"
-VPP_BRANCHES["debian-9"]="stable/2009 master"
-VPP_BRANCHES["debian-10"]="stable/2009 master"
-VPP_BRANCHES["ubuntu-18.04"]="stable/2001 stable/2005 stable/2009 master"
-VPP_BRANCHES["ubuntu-20.04"]="stable/2009 master"
+VPP_BRANCHES["centos-7"]="stable/2005 stable/2009"
+VPP_BRANCHES["centos-8"]="stable/2009 stable/2101 master"
+VPP_BRANCHES["debian-9"]="stable/2009"
+VPP_BRANCHES["debian-10"]="stable/2009 stable/2101 master"
+VPP_BRANCHES["ubuntu-18.04"]="stable/2005 stable/2009 stable/2101 master"
+VPP_BRANCHES["ubuntu-20.04"]="stable/2009 stable/2101 master"
export VPP_BRANCHES
diff --git a/global-jjb b/global-jjb
-Subproject 413bdb2e77dcc2055e05476930f13874a2fae24
+Subproject e5840e0c645226926475e6dfabd9f16606325ab
diff --git a/jenkins-config/clouds/nomad/FDIONOMAD/builder-ubuntu1804-sandbox-aarch64.yaml b/jenkins-config/clouds/nomad/FDIONOMAD/builder-ubuntu1804-sandbox-aarch64.yaml
index 938dc0de4..3be0f2b90 100644
--- a/jenkins-config/clouds/nomad/FDIONOMAD/builder-ubuntu1804-sandbox-aarch64.yaml
+++ b/jenkins-config/clouds/nomad/FDIONOMAD/builder-ubuntu1804-sandbox-aarch64.yaml
@@ -1,5 +1,5 @@
---
templates:
- - image: "fdiotools/builder-ubuntu1804:prod-aarch64"
+ - image: "fdiotools/builder-ubuntu1804:sandbox-aarch64"
labels: "builder-ubuntu1804-sandbox-aarch64"
prefix: "builder-ubuntu1804-sandbox-aarch64"
diff --git a/jenkins-config/clouds/nomad/FDIONOMAD/cloud.yaml b/jenkins-config/clouds/nomad/FDIONOMAD/cloud.yaml
index 92ba6ca86..ca90d3148 100644
--- a/jenkins-config/clouds/nomad/FDIONOMAD/cloud.yaml
+++ b/jenkins-config/clouds/nomad/FDIONOMAD/cloud.yaml
@@ -5,7 +5,9 @@ jenkins:
jenkinsUrl: "https://jenkins.fd.io/"
name: "FDIONOMAD"
nomadUrl: "http://10.30.51.32:4646"
+ jenkinsTunnel: ""
prune: false
+ nomadACLCredentialsId: ""
workerTimeout: 5
workerUrl: "https://jenkins.fd.io/jnlpJars/slave.jar"
templates:
diff --git a/jenkins-config/clouds/nomad/FDIONOMAD/defaults.yaml b/jenkins-config/clouds/nomad/FDIONOMAD/defaults.yaml
index cfd15479f..33a3349d1 100644
--- a/jenkins-config/clouds/nomad/FDIONOMAD/defaults.yaml
+++ b/jenkins-config/clouds/nomad/FDIONOMAD/defaults.yaml
@@ -14,7 +14,9 @@ templates:
priority: 50
idleTerminationInMinutes: 10
numExecutors: 1
+ prefixCmd: ""
forcePull: true
+ hostVolumes: ""
privileged: true
reusable: false
useRawExec: false
@@ -23,3 +25,7 @@ templates:
remoteFs: "/w"
username: "fdionomad"
password: "hidden"
+ capAdd: ""
+ capDrop: ""
+ securityOpt: ""
+ extraHosts: ""
diff --git a/jenkins-config/clouds/nomad/FDIONOMAD/ubuntu1804-us.yaml b/jenkins-config/clouds/nomad/FDIONOMAD/ubuntu1804-us.yaml
new file mode 100644
index 000000000..b40b58e63
--- /dev/null
+++ b/jenkins-config/clouds/nomad/FDIONOMAD/ubuntu1804-us.yaml
@@ -0,0 +1,13 @@
+templates:
+ - constraints:
+ - ltarget: "^${attr.cpu.arch}"
+ operand: "="
+ rtarget: "amd64"
+ - ltarget: "^${node.class}"
+ operand: "="
+ rtarget: "builder"
+ cpu: 14000
+ image: "snergster/vpp-ubuntu18"
+ labels: "ubuntu1804-us"
+ memory: 14000
+ prefix: "prod-amd"
diff --git a/jjb/csit/csit-tox.yaml b/jjb/csit/csit-tox.yaml
index 4ef4bfeb8..3999144e8 100644
--- a/jjb/csit/csit-tox.yaml
+++ b/jjb/csit/csit-tox.yaml
@@ -1,4 +1,4 @@
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -70,9 +70,37 @@
build-timeout: '{build-timeout}'
triggers:
- - gerrit-trigger-patch-submitted:
- name: '{project}'
- branch: '{branch}'
+ # Tox trigger is special.
+ - gerrit:
+ server-name: 'Primary'
+ trigger-on:
+ - patchset-created-event:
+ exclude-drafts: 'true'
+ exclude-trivial-rebase: 'false'
+ exclude-no-code-change: 'false'
+ # Not enabling on draft published event.
+ # Frequently, people publish for public access, not fr verify.
+ # Use recheck comment to trigger verify.
+ - comment-added-contains-event:
+ comment-contains-value: 'recheck'
+ - comment-added-contains-event:
+ comment-contains-value: 'reverify'
+ projects:
+ - project-compare-type: 'ANT'
+ project-pattern: '{project}'
+ branches:
+ - branch-compare-type: 'ANT'
+ branch-pattern: '**/{branch}'
+ override-votes: true
+ gerrit-build-notbuilt-verified-value: 0
+ gerrit-build-successful-verified-value: 1
+ failed-message: 'Tox failed. No further verify jobs will be started.'
+ successful-message: 'tox_success'
+ skip-vote:
+ successful: true
+ failed: false
+ unstable: false
+ notbuilt: false
builders:
- shell:
diff --git a/jjb/csit/csit-vpp-device.yaml b/jjb/csit/csit-vpp-device.yaml
index 252684125..9a4b47da2 100644
--- a/jjb/csit/csit-vpp-device.yaml
+++ b/jjb/csit/csit-vpp-device.yaml
@@ -1,4 +1,4 @@
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -150,7 +150,7 @@
build-timeout: '{build-timeout}'
triggers:
- - 'gerrit-trigger-csit-vpp-devicetest-full':
+ - gerrit-trigger-csit-vpp-devicetest-full:
project: '{project}'
branch: '{branch}'
skip-vote: '{skip-vote}'
diff --git a/jjb/global-macros.yaml b/jjb/global-macros.yaml
index 89bdda3b6..03b99f5ec 100644
--- a/jjb/global-macros.yaml
+++ b/jjb/global-macros.yaml
@@ -362,23 +362,20 @@
- trigger:
name: gerrit-trigger-csit-vpp-devicetest-full
- # Comes from CSIT, for automatic jobs running "device" tests with VPP builds.
+ # Comes from CSIT, for automatic jobs running device tests with VPP builds.
# The job acts as an automatic verify job for CSIT contributions.
triggers:
- gerrit:
server-name: 'Primary'
trigger-on:
- - patchset-created-event:
- exclude-drafts: 'true'
- exclude-trivial-rebase: 'false'
- exclude-no-code-change: 'false'
- - draft-published-event
- - comment-added-contains-event:
- comment-contains-value: 'recheck'
+ # The main way the job is triggered automatically on patch upload.
+ # Gated by tox job, so we do not spend resources on WiP changes.
- comment-added-contains-event:
- comment-contains-value: 'reverify'
+ comment-contains-value: 'tox_success'
+ # Manual trigger to allow testing WiP changes with selected tags.
- comment-added-contains-event:
comment-contains-value: 'csit-devicetest'
+ # A comment with "recheck" restarts tox job, so no condition here.
projects:
- project-compare-type: 'ANT'
project-pattern: '{project}'
diff --git a/jjb/scripts/packagecloud_push.sh b/jjb/scripts/packagecloud_push.sh
index af3bf48ff..a4ae9b166 100644
--- a/jjb/scripts/packagecloud_push.sh
+++ b/jjb/scripts/packagecloud_push.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -17,6 +17,22 @@ echo "---> jjb/scripts/packagecloud_push.sh"
set -euxo pipefail
+line="*************************************************************************"
+
+# Nothing was built if this is a merge job being run when
+# the git HEAD id is not the same as the Gerrit New Revision ID
+if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
+ [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
+ echo -e "\n$line\nSkipping package push. A newer patch has been merged.\n$line\n"
+ exit 0
+fi
+
+DRYRUN="${DRYRUN:-}"
+if [ "${DRYRUN,,}" = "true" ] ; then
+ echo -e "\n$line\nSkipping package push because DRYRUN is '${DRYRUN,,}'.\n$line\n"
+ exit 0
+fi
+
echo "STARTING PACKAGECLOUD PUSH"
sleep 10
@@ -58,8 +74,7 @@ if [ -f ~/.packagecloud ]; then
fi
;;
*)
- echo "ERROR: Unsupported OS '$FACTER_OS'"
- echo "PACKAGECLOUD PUSH FAILED!"
+ echo -e "\n$line\n* ERROR: Unsupported OS '$FACTER_OS'\n* PACKAGECLOUD PUSH FAILED!\n$line\n"
exit 1
;;
esac
@@ -83,4 +98,4 @@ else
exit 1
fi
-echo "PACKAGECLOUD PUSH COMPLETE"
+echo -e "\n$line\n* PACKAGECLOUD PUSH COMPLETE\n$line\n"
diff --git a/jjb/scripts/vpp/build.sh b/jjb/scripts/vpp/build.sh
index 52cee0978..148999cec 100644
--- a/jjb/scripts/vpp/build.sh
+++ b/jjb/scripts/vpp/build.sh
@@ -1,7 +1,6 @@
#!/bin/bash
-# basic build script example
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -16,11 +15,24 @@
echo "---> jjb/scripts/vpp/build.sh"
-set -xe -o pipefail
+set -euxo pipefail
+
+line="*************************************************************************"
+# Don't build anything if this is a merge job being run when
+# the git HEAD id is not the same as the Gerrit New Revision id.
+if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
+ [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
+ echo -e "\n$line\nSkipping build. A newer patch has been merged.\n$line\n"
+ exit 0
+fi
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_ARCH=$(uname -m)
+DRYRUN="${DRYRUN:-}"
+IS_CSIT_VPP_JOB="${IS_CSIT_VPP_JOB:-}"
+MAKE_PARALLEL_FLAGS="${MAKE_PARALLEL_FLAGS:-}"
+MAKE_PARALLEL_JOBS="${MAKE_PARALLEL_JOBS:-}"
echo "sha1sum of this script: ${0}"
sha1sum $0
@@ -35,11 +47,11 @@ sha1sum $0
# echo $CCACHE_DIR does not exist.
#fi
-if [ "x${MAKE_PARALLEL_FLAGS}" != "x" ]
+if [ -n "${MAKE_PARALLEL_FLAGS}" ]
then
echo "Building VPP. Number of cores for build set with" \
"MAKE_PARALLEL_FLAGS='${MAKE_PARALLEL_FLAGS}'."
-elif [ "x${MAKE_PARALLEL_JOBS}" != "x" ]
+elif [ -n "${MAKE_PARALLEL_JOBS}" ]
then
echo "Building VPP. Number of cores for build set with" \
"MAKE_PARALLEL_JOBS='${MAKE_PARALLEL_JOBS}'."
@@ -48,14 +60,11 @@ else
"using build default ($(grep -c ^processor /proc/cpuinfo))."
fi
-echo "CC=${CC}"
-echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
-
# If we are not a CSIT job just building packages, then use make verify,
# else use make pkg-verify.
-if [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
+if [ "${IS_CSIT_VPP_JOB,,}" != "true" ]
then
- if [ "x${MAKE_PARALLEL_JOBS}" != "x" ]
+ if [ -n "${MAKE_PARALLEL_JOBS}" ]
then
export TEST_JOBS="${MAKE_PARALLEL_JOBS}"
echo "Testing VPP with ${TEST_JOBS} cores."
@@ -65,12 +74,10 @@ then
"See test logs for the exact number."
fi
echo "Building using \"make verify\""
- [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes verify
+ [ "${DRYRUN,,}" = "true" ] || make UNATTENDED=yes verify
else
echo "Building using \"make pkg-verify\""
- [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes pkg-verify
+ [ "${DRYRUN,,}" = "true" ] || make UNATTENDED=yes pkg-verify
fi
-echo "*******************************************************************"
-echo "* VPP ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^} BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
+echo -e "\n$line\n* VPP ${OS_ID^^}-${OS_VERSION_ID}-${OS_ARCH^^} BUILD SUCCESSFULLY COMPLETED\n$line\n"
diff --git a/jjb/scripts/vpp/docs.sh b/jjb/scripts/vpp/docs.sh
index 0899b6615..866b32217 100644
--- a/jjb/scripts/vpp/docs.sh
+++ b/jjb/scripts/vpp/docs.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -15,19 +15,29 @@
echo "---> jjb/scripts/vpp/docs.sh"
-set -xe -o pipefail
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
-[ "$DOC_FILE" ] || DOC_FILE=vpp.docs.zip
-[ "$DOC_DIR" ] || DOC_DIR=build-root/docs/html
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site/
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-[ "$VERSION" ] || VERSION=$(./build-root/scripts/version rpm-version)
+set -euxo pipefail
+
+line="*************************************************************************"
+# Don't build anything if this is a merge job being run when
+# the git HEAD id is not the same as the Gerrit New Revision id.
+if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
+ [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
+ echo -e "\n$line\nSkipping doxygen docs build. A newer patch has been merged.\n$line\n"
+ exit 0
+fi
+
+DOCS_REPO_URL=${DOCS_REPO_URL:-"https://nexus.fd.io/content/sites/site"}
+PROJECT_PATH=${PROJECT_PATH:-"io/fd/vpp"}
+DOC_FILE=${DOC_FILE:-"vpp.docs.zip"}
+DOC_DIR=${DOC_DIR:-"build-root/docs/html"}
+SITE_DIR=${SITE_DIR:-"build-root/docs/deploy-site"}
+RESOURCES_DIR=${RESOURCES_DIR:-"${SITE_DIR}/src/site/resources"}
+MVN=${MVN:-"/opt/apache/maven/bin/mvn"}
+VERSION=${VERSION:-"$(./build-root/scripts/version rpm-version)"}
make doxygen
-if [[ ${JOB_NAME} == *merge* ]]; then
+if [[ ${JOB_NAME} == *merge* ]] ; then
mkdir -p $(dirname ${RESOURCES_DIR})
mv -f ${DOC_DIR} ${RESOURCES_DIR}
cd ${SITE_DIR}
diff --git a/jjb/scripts/vpp/make-test-docs.sh b/jjb/scripts/vpp/make-test-docs.sh
index d15cac380..d20a7b817 100644
--- a/jjb/scripts/vpp/make-test-docs.sh
+++ b/jjb/scripts/vpp/make-test-docs.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -15,14 +15,24 @@
echo "---> jjb/scripts/vpp/make-test-docs.sh"
-set -xe -o pipefail
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
-[ "$DOC_DIR" ] || DOC_DIR=build-root/build-test/doc/html
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources/vpp_make_test
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-[ "$VERSION" ] || VERSION=$(./build-root/scripts/version rpm-version)
+set -euxo pipefail
+
+line="*************************************************************************"
+# Don't build anything if this is a merge job being run when
+# the git HEAD id is not the same as the Gerrit New Revision id.
+if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
+ [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
+ echo -e "\n$line\nSkipping 'make test' doxygen docs build. A newer patch has been merged.\n$line\n"
+ exit 0
+fi
+
+DOCS_REPO_URL=${DOCS_REPO_URL:-"https://nexus.fd.io/content/sites/site"}
+PROJECT_PATH=${PROJECT_PATH:-"io/fd/vpp"}
+DOC_DIR=${DOC_DIR:-"build-root/build-test/doc/html"}
+SITE_DIR=${SITE_DIR:-"build-root/docs/deploy-site"}
+RESOURCES_DIR=${RESOURCES_DIR:-"${SITE_DIR}/src/site/resources/vpp_make_test"}
+MVN=${MVN:-"/opt/apache/maven/bin/mvn"}
+VERSION=${VERSION:-"$(./build-root/scripts/version rpm-version)"}
make test-doc
diff --git a/jjb/scripts/vpp/sphinx-docs.sh b/jjb/scripts/vpp/sphinx-docs.sh
index b9eb64bc7..d80b4cd38 100644
--- a/jjb/scripts/vpp/sphinx-docs.sh
+++ b/jjb/scripts/vpp/sphinx-docs.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -15,15 +15,25 @@
echo "---> jjb/scripts/vpp/sphinx-docs.sh"
-set -xe -o pipefail
-[ "$DOCS_REPO_URL" ] || DOCS_REPO_URL="https://nexus.fd.io/content/sites/site"
-[ "$PROJECT_PATH" ] || PROJECT_PATH=io/fd/vpp
-[ "$DOC_FILE" ] || DOC_FILE=vpp.docs.zip
-[ "$DOC_DIR" ] || DOC_DIR=./docs/_build/html
-[ "$SITE_DIR" ] || SITE_DIR=build-root/docs/deploy-site
-[ "$RESOURCES_DIR" ] || RESOURCES_DIR=${SITE_DIR}/src/site/resources
-[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
-[ "$VERSION" ] || VERSION=$(./build-root/scripts/version rpm-version)
+set -euxo pipefail
+
+line="*************************************************************************"
+# Don't build anything if this is a merge job being run when
+# the git HEAD id is not the same as the Gerrit New Revision id.
+if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
+ [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
+ echo -e "\n$line\nSkipping sphinx docs build. A newer patch has been merged.\n$line\n"
+ exit 0
+fi
+
+DOCS_REPO_URL=${DOCS_REPO_URL:-"https://nexus.fd.io/content/sites/site"}
+PROJECT_PATH=${PROJECT_PATH:-"io/fd/vpp"}
+DOC_FILE=${DOC_FILE:-"vpp.docs.zip"}
+DOC_DIR=${DOC_DIR:-"./docs/_build/html"}
+SITE_DIR=${SITE_DIR:-"build-root/docs/deploy-site"}
+RESOURCES_DIR=${RESOURCES_DIR:-"${SITE_DIR}/src/site/resources"}
+MVN=${MVN:-"/opt/apache/maven/bin/mvn"}
+VERSION=${VERSION:-"$(./build-root/scripts/version rpm-version)"}
make docs-venv
CONFIRM=-y FORCE=--force-yes make docs
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 1721abee2..9854b76c0 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -39,21 +39,25 @@
stream:
- master:
branch: 'master'
+ os: 'ubuntu2004'
repo-stream-part: 'master'
branch-head-refspec: ''
- '2005':
branch: 'stable/2005'
+ os: 'ubuntu1804'
repo-stream-part: 'stable.2005'
branch-head-refspec: ''
- '2009':
branch: 'stable/2009'
+ os: 'ubuntu1804'
repo-stream-part: 'stable.2009'
branch-head-refspec: ''
+ os: 'ubuntu1804'
- '2101':
branch: 'stable/2101'
+ os: 'ubuntu1804'
repo-stream-part: 'stable.2101'
branch-head-refspec: ''
- os: 'ubuntu1804'
executor-arch: 'x86_64'
# [end] VPP-CHECKSTYLE-X86_64 PROJECT